package com.bocloud.ims.interfaces.resource;

import java.util.List;
import java.util.Map;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Param;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Bucket;

public interface BucketService {

	public BocloudResult list(int page, int rows, List<Param> params, Map<String, String> sorter, Boolean simple,
			RequestContext context);

	public BocloudResult create(Bucket bucket, RequestContext context);

	public BocloudResult remove(Long id, RequestContext context);

	public BocloudResult detail(Long id);

	public BocloudResult exists(String name, Long vendorId, String regionId, RequestContext context);

}
